get avatar draft
curl --request GET \
--url https://api-services.podcastor.ai/open/podcast/v1/avatar/draft \
--header 'X-Api-Key: <api-key>'import requests
url = "https://api-services.podcastor.ai/open/podcast/v1/avatar/draft"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://api-services.podcastor.ai/open/podcast/v1/avatar/draft', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"podcast_avatars": [
{
"err_msg": "<string>",
"is_failed": true,
"podcast_avatar_id": 123,
"podcast_avatars": [
{
"id": 123,
"name": "<string>",
"photo_url": "<string>",
"status": 123
}
]
}
]
}Avatars
Get avatar draft
Get the current user’s unfinished Podcast avatar draft.
GET
/
open
/
podcast
/
v1
/
avatar
/
draft
get avatar draft
MCP tool:
podcast_get_avatar_draft. OAuth scope: asset.read.Authorizations
Query Parameters
数字人类型,为空时筛选default,为all时筛选pet和cartoon,其他值时筛选对应类型
podcast版本,有传时按AigcPacks.PodcastVersion筛选
Available options:
10, 20 Response
200 - application/json
OK
草稿对话数字人列表
Show child attributes
Show child attributes